| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiKernel.Configurable.CreateSequencesVisitor Class Reference
Inheritance diagram for GaudiKernel.Configurable.CreateSequencesVisitor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.CreateSequencesVisitor:
[legend]

## Public Member Functions
def | __init__ (self)
def | sequence (self)
def | enter (self, visitee)
def | leave (self, visitee)

## Public Attributes
| stack

## Private Member Functions
def | _getUniqueName (self, prefix)
def | _newSeq (self, prefix='seq_', kwargs)

## Detailed Description

Definition at line 1614 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.CreateSequencesVisitor.__init__ | ( |  | self | ) |

Definition at line 1615 of file Configurable.py.

1615 def __init__(self):
1616 self.stack = []
1617
GaudiKernel.Configurable.CreateSequencesVisitor.__init__
def __init__(self)
Definition: Configurable.py:1615
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1616

## Member Function Documentation

def GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName | ( |  | self,
|  |  | prefix
| ) |  |
| private

Definition at line 1625 of file Configurable.py.

1625 def _getUniqueName(self, prefix):
1626 from Gaudi.Configuration import allConfigurables
1627 cnt = 0
1628 name = prefix + str(cnt)
1629 while name in allConfigurables:
1630 cnt += 1
1631 name = prefix + str(cnt)
1632 return name
1633
GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName
def _getUniqueName(self, prefix)
Definition: Configurable.py:1625
Gaudi.Configuration
Definition: Configuration.py:1

def GaudiKernel.Configurable.CreateSequencesVisitor._newSeq | ( |  | self,
|  |  | prefix = `'seq_'`,
|  |  | kwargs
| ) |  |
| private

Definition at line 1634 of file Configurable.py.

1634 def _newSeq(self, prefix='seq_', **kwargs):
1635 from Configurables import GaudiSequencer
1636 return GaudiSequencer(self._getUniqueName('seq_'),
1637 **kwargs)
1638
GaudiKernel.Configurable.CreateSequencesVisitor._newSeq
def _newSeq(self, prefix='seq_', kwargs)
Definition: Configurable.py:1634
GaudiKernel.Configurable.CreateSequencesVisitor._getUniqueName
def _getUniqueName(self, prefix)
Definition: Configurable.py:1625
GaudiSequencer
Sequencer for executing several algorithms, stopping when one is faulty.
Definition: GaudiSequencer.h:26

def GaudiKernel.Configurable.CreateSequencesVisitor.enter | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 1622 of file Configurable.py.

1622 def enter(self, visitee):
1623 pass
1624
GaudiKernel.Configurable.CreateSequencesVisitor.enter
def enter(self, visitee)
Definition: Configurable.py:1622

def GaudiKernel.Configurable.CreateSequencesVisitor.leave | ( |  | self,
|  |  | visitee
| ) |  |

Definition at line 1639 of file Configurable.py.

1639 def leave(self, visitee):
1640 stack = self.stack
1641 if visitee in (CFTrue, CFFalse):
1642 stack.append(self._newSeq(Invert=visitee is CFFalse))
1643 elif isinstance(visitee, (ControlFlowLeaf, ConfigurableAlgorithm)):
1644 stack.append(visitee)
1645 elif isinstance(visitee, (OrNode, AndNode, OrderedNode)):
1646 b = stack.pop()
1647 a = stack.pop()
1648 seq = self._newSeq(Members=[a, b],
1649 ModeOR=isinstance(visitee, OrNode),
1650 ShortCircuit=not isinstance(
1651 visitee, OrderedNode),
1652 MeasureTime=True)
1653 stack.append(seq)
1654 elif isinstance(visitee, ignore):
1655 if hasattr(stack[-1], 'IgnoreFilterPassed'):
1656 stack[-1].IgnoreFilterPassed = True
1657 else:
1658 stack.append(self._newSeq(Members=[stack.pop()],
1659 IgnoreFilterPassed=True))
1660 elif isinstance(visitee, InvertNode):
1661 if hasattr(stack[-1], 'Invert'):
1662 stack[-1].Invert = True
1663 else:
1664 stack.append(self._newSeq(Members=[stack.pop()],
1665 Invert=True))
1666
1667
GaudiKernel.Configurable.CreateSequencesVisitor._newSeq
def _newSeq(self, prefix='seq_', kwargs)
Definition: Configurable.py:1634
GaudiKernel.Configurable.CreateSequencesVisitor.leave
def leave(self, visitee)
Definition: Configurable.py:1639
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1616

def GaudiKernel.Configurable.CreateSequencesVisitor.sequence | ( |  | self | ) |

Definition at line 1619 of file Configurable.py.

1619 def sequence(self):
1620 return self.stack[-1]
1621
GaudiKernel.Configurable.CreateSequencesVisitor.sequence
def sequence(self)
Definition: Configurable.py:1619
GaudiKernel.Configurable.CreateSequencesVisitor.stack
stack
Definition: Configurable.py:1616

## Member Data Documentation

GaudiKernel.Configurable.CreateSequencesVisitor.stack

Definition at line 1616 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py